Bug 246809 - net-mgmt/netdisco: upgrade to 2.045006
Summary: net-mgmt/netdisco: upgrade to 2.045006
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Hiroki Tagato
URL: https://metacpan.org/changes/distribu...
Keywords: easy, patch
Depends on: 246815
Blocks:
  Show dependency treegraph
 
Reported: 2020-05-28 15:54 UTC by geoffroy desvernay
Modified: 2020-06-04 04:49 UTC (History)
2 users (show)

See Also:


Attachments
svn diff net-mgmt/netdisco (7.46 KB, patch)
2020-05-28 15:54 UTC, geoffroy desvernay
dgeo: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description geoffroy desvernay 2020-05-28 15:54:28 UTC
Created attachment 214978 [details]
svn diff net-mgmt/netdisco

Nem API and bugfixes, see full changes here https://metacpan.org/changes/distribution/App-Netdisco
Comment 1 geoffroy desvernay 2020-05-28 17:08:40 UTC
Just made a new PR for net-p5-URI-Based, needed in this version
Comment 2 Fernando Apesteguía freebsd_committer 2020-05-29 15:28:26 UTC
^Triage: Please set the maintainer-approval attachment flag (to +) on patches for ports you maintain to signify approval

Attachment -> Details -> maintainer-approval [+]

Thanks!
Comment 3 Hiroki Tagato freebsd_committer 2020-06-03 08:51:44 UTC
I tried to build the port with poudriere and got the following message during the configure phase:


===>  Configuring for netdisco-2.045006
Checking prerequisites...
  requires:
    !  JSON::XS is not installed
    !  SNMP::Info (3.68) is installed, but we need version >= 3.70
    !  URL::Encode::XS is not installed
  build_requires:
    !  ExtUtils::Config is not installed
    !  ExtUtils::Helpers is not installed
    !  ExtUtils::InstallPaths is not installed
  test_requires:
    !  Test::Compile is not installed
    !  Test::File::ShareDir::Dist is not installed

ERRORS/WARNINGS FOUND IN PREREQUISITES.  You may wish to install the versions
of the modules indicated above before proceeding with this installation

Run 'Build installdeps' to install missing prerequisites.


Is the warning message a false positive and can we safely ignore that?

The build process was successfully completed and I would just like to make it sure that we are missing no necessary modules.
Comment 4 geoffroy desvernay 2020-06-03 10:12:18 UTC
All of the necessary modules are included as dependencies promu ports in the Makefile.
Tell me if i'm missing something...
Comment 5 Hiroki Tagato freebsd_committer 2020-06-04 04:45:09 UTC
(In reply to geoffroy desvernay from comment #4)

Thanks for the confirmation. I will update the port shortly.
Comment 6 commit-hook freebsd_committer 2020-06-04 04:48:36 UTC
A commit references this bug:

Author: tagattie
Date: Thu Jun  4 04:47:44 UTC 2020
New revision: 537867
URL: https://svnweb.freebsd.org/changeset/ports/537867

Log:
  Update to 2.045006

  PR:		246809
  Submitted by:	geoffroy desvernay <dgeo@centrale-marseille.fr> (maintainer)
  Approved by:	mentors (implicit)
  Changelog:	https://metacpan.org/changes/distribution/App-Netdisco

Changes:
  head/net-mgmt/netdisco/Makefile
  head/net-mgmt/netdisco/distinfo
  head/net-mgmt/netdisco/pkg-plist
Comment 7 Hiroki Tagato freebsd_committer 2020-06-04 04:49:17 UTC
Committed, thanks!